p11-kit_0.23.9-2_amd64.deb


Advertisement

Description

p11-kit - p11-glue utilities

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name p11-kit
Package version 0.23.9
Package release 2
Package architecture amd64
Package type deb
Installed size 428 B
Download size 91.01 KB
Official Mirror archive.ubuntu.com
The p11-kit library provides a way to load and enumerate Public-Key
Cryptography Standard #11 modules, along with a standard configuration
setup for installing PKCS#11 modules so that they're discoverable. It
also solves problems with coordinating the use of PKCS#11 by different
components or libraries living in the same process.
This package contains the p11-kit tool for listing PKCS#11 modules.

Alternatives

Package Version Architecture Repository
p11-kit_0.23.9-2_i386.deb 0.23.9 i386 Ubuntu Main
p11-kit - - -

Requires

Name Value
libc6 >= 2.26
libp11-kit0 >= 0.23.7
libtasn1-6 >= 4.12
p11-kit-modules >= 0.23.9-2

Download

Type URL
Binary Package p11-kit_0.23.9-2_amd64.deb
Source Package p11-kit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install p11-kit deb package:
    # sudo apt-get install p11-kit

Files

Path
/usr/bin/p11-kit
/usr/bin/trust
/usr/lib/x86_64-linux-gnu/p11-kit/p11-kit-remote
/usr/lib/x86_64-linux-gnu/p11-kit/p11-kit-server
/usr/share/doc/p11-kit/changelog.Debian.gz
/usr/share/doc/p11-kit/copyright
/usr/share/doc/p11-kit/examples/trust-extract-compat
/usr/share/man/man1/trust.1.gz
/usr/share/man/man5/pkcs11.conf.5.gz
/usr/share/man/man8/p11-kit.8.gz
/usr/share/p11-kit/modules/p11-kit-trust.module

Changelog

2017-10-14 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.9-2) unstable; urgency=low
* Upload to unstable.
2017-10-06 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.9-1) experimental; urgency=low
* New upstream version.
+ Drop 40_bsd_missinginclude.diff.
* Sync priorities with override file (extra -> optional).
2017-09-03 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.8-2) experimental; urgency=low
* 40_bsd_missinginclude.diff add missing #include <stdint.h> to get SIZE_MAX
even on kfreebsd. Other arch seem to include it indirectly via another
#included header.
* 41_kfreebsd_LOCAL_PEERCRED.diff: On kfreeBSD use getsockopt(...,
LOCAL_PEERCRED, ...) since neither SO_PEERCRED nor getpeereid() nor
getpeerucred() are available.
2017-08-29 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.8-1) experimental; urgency=low
* New upstream version.
+ Unfuzz 30_nogetauxvalonbsd.diff, drop
40_test-Fix-failure-on-32-bit-big-endian-platform.patch.
2017-07-14 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.7-3) unstable; urgency=low
* 40_test-Fix-failure-on-32-bit-big-endian-platform.patch from upstream GIT:
Fix test-error on 32-bit big endian platforms. Closes: #866764
2017-07-01 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.7-2) unstable; urgency=low
* libp11-kit0: Add Breaks: opencryptoki (<= 3.6.1+dfsg-1) to enforce upgrade
of opencryptoki to a version without /etc/pkcs11 symlink to private
directory. Closes: #860903
* p11-kit-extract-trust was renamed to trust-extract-compat in 0.19.4, fix
debian/p11-kit.examples.
* Upload to unstable.
2017-06-03 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.7-1) experimental; urgency=low
* New upstream version.
+ Add p11_kit_remote_serve_tokens to symbol file.
+ Update debian/copyright.
2017-03-02 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.5-1) experimental; urgency=low
* New upstream version.
* Update debian/copyright.
2017-02-26 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.4-1) experimental; urgency=low
* New upstream version.
+ Unfuzz patches.
+ List new symbols in libp11-kit0.symbols. Bump dependency info on
p11_kit_iter_new@Base.
* Ship libdir/p11-kit/p11-kit-server and p11-kit/p11-kit-remote in p11-kit
package.
* Ship client-side p11-kit-client.so for PKCS#11 forwarding through a Unix
domain socket.
2017-01-28 - Andreas Metzler <ametzler@debian.org>
p11-kit (0.23.3-5) unstable; urgency=medium
* Drop 40_01_uri-fix-the-query-attribute-parsing.patch
40_02_uri-fix-producing-the-query-attributes.patch
40_03_uri-Avoid-typecasting-confusion-on-s390x.patch, again.
Closes: #852227

See Also

Package Description
pacemaker-cli-utils_1.1.18-0ubuntu1_amd64.deb cluster resource manager command line utilities
pacemaker-common_1.1.18-0ubuntu1_all.deb cluster resource manager common files
pacemaker-doc_1.1.18-0ubuntu1_all.deb cluster resource manager HTML documentation
pacemaker-resource-agents_1.1.18-0ubuntu1_all.deb cluster resource manager general resource agents
pacemaker_1.1.18-0ubuntu1_amd64.deb cluster resource manager
packagekit-docs_1.1.9-1ubuntu2_all.deb Documentation for PackageKit
packagekit-tools_1.1.9-1ubuntu2_amd64.deb Provides PackageKit command-line tools
packagekit_1.1.9-1ubuntu2_amd64.deb Provides a package management service
paramiko-doc_2.0.0-1ubuntu1_all.deb Make ssh v2 connections with Python (Documentation)
parted-doc_3.2-20_all.deb disk partition manipulator - documentation
parted_3.2-20_amd64.deb disk partition manipulator
passwd_4.5-1ubuntu1_amd64.deb change and administer password and group data
pastebinit_1.5-2_all.deb command-line pastebin client
patch_2.7.6-2ubuntu1_amd64.deb Apply a diff file to an original
patchutils_0.3.4-2_amd64.deb Utilities to work with patches
Advertisement
Advertisement